import * as angular from "angular";
import "angular-messages";

import { AngularValidationDirective } from "./angular.validator";
import {
    MinuteValidator,
    Time24HourValidator,
} from "./dateTime";
import {
    DecimalsValidator,
    IntegerValidator,
    MaxValueValidator,
    MinValueValidator,
} from "./value";

export const validatorsModule = "seges.time.validators";

const module = angular.module(validatorsModule, ["ngMessages"]);

// register Angular Directives here
const integerValidatorName = "integer";
const integerValidator = new AngularValidationDirective(IntegerValidator, integerValidatorName);
module.directive(integerValidatorName, () => integerValidator.factory());

const time24HourValidatorName = "24HourFormat";
const time24HourValidator = new AngularValidationDirective(Time24HourValidator, time24HourValidatorName);
module.directive(time24HourValidatorName, () => time24HourValidator.factory());

const minuteValidatorName = "minuteFormat";
const minuteValidator = new AngularValidationDirective(MinuteValidator, minuteValidatorName);
module.directive(minuteValidatorName, () => minuteValidator.factory());

const maxValueValidatorName = "maxValue";
const maxValueValidator = new AngularValidationDirective(MaxValueValidator, maxValueValidatorName);
module.directive(maxValueValidatorName, () => maxValueValidator.factory());

const minValueValidatorName = "minValue";
const minValueValidator = new AngularValidationDirective(MinValueValidator, minValueValidatorName);
module.directive(minValueValidatorName, () => minValueValidator.factory());

const decimalsValidatorName = "decimals";
const decimalsValidator = new AngularValidationDirective(DecimalsValidator, decimalsValidatorName);
module.directive(decimalsValidatorName, () => decimalsValidator.factory());
